Bug 5495 - Test System.Net.Sockets.SocketTest.ConnectedProperty Fail
Summary: Test System.Net.Sockets.SocketTest.ConnectedProperty Fail
Status: RESOLVED FIXED
Alias: None
Product: Class Libraries
Classification: Mono
Component: System (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: Untriaged
Assignee: Martin Baulig
URL:
Depends on:
Blocks:
 
Reported: 2012-06-03 22:48 UTC by Vinicius Jarina
Modified: 2016-11-11 09:30 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
test case (1.18 KB, application/octet-stream)
2012-06-30 15:20 UTC, Martin Baulig
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Vinicius Jarina 2012-06-03 22:48:08 UTC
MonoTests.System.Net.Sockets.SocketTest.ConnectedProperty :   Expected: True
  But was:  False


server.Connected remains true.
Comment 1 Martin Baulig 2012-06-30 15:20:45 UTC
Created attachment 2137 [details]
test case
Comment 2 Martin Baulig 2012-06-30 17:06:26 UTC
On Mac OS, recv() returns 0 - Linux returns -1 (ECONNRESET).
Comment 3 Martin Baulig 2012-07-02 12:21:07 UTC
According to the man pages, recv() should only return 0 when the connection has been closed.

So in theory, checking for that in _wapi_recvfrom() should fix that, but I'm afraid of breaking something.
Comment 4 Martin Baulig 2016-11-11 09:30:36 UTC
Closing ancient bugs.